package com.chaozhanggui.dao.system.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chaozhanggui.dao.system.entity.TbPlussArea;
import com.chaozhanggui.dao.system.entity.TbPlussAreaCity;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussAreaCityMapper extends BaseMapper<TbPlussAreaCity> {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussAreaCity record);

    int insertSelective(TbPlussAreaCity record);

    TbPlussAreaCity selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussAreaCity record);

    int updateByPrimaryKey(TbPlussAreaCity record);
}